package md

type NursingHomeInfoResp struct {
	Name                     string `json:"name" label:"名称"`
	Memo                     string `json:"memo" label:"备注"`
	Kind                     string `json:"kind" label:"种类(1:央厨-学校 2:央厨-工厂 3:自营-学校 4:自营-工厂 4:养老院)"`
	State                    string `json:"state" label:"状态(1:正常 2:冻结)"`
	IsOpenReportMealForDay   int    `json:"is_open_report_meal_for_day" label:"开启按天报餐(1:开启 2:关闭)"`
	IsOpenReportMealForMonth int    `json:"is_open_report_meal_for_month" label:"开启按月报餐(1:开启 2:关闭)"`
	IsOpenReportMealForYear  int    `json:"is_open_report_meal_for_year" label:"开启按年报餐(1:开启 2:关闭)"`
	IsOpenBreakfast          int    `json:"is_open_breakfast" label:"是否开启早餐(1:开启 0:关闭)"`
	IsOpenLunch              int    `json:"is_open_lunch" label:"是否开启午餐(1:开启 0:关闭)"`
	IsOpenDinner             int    `json:"is_open_dinner" label:"是否开启晚餐(1:开启 0:关闭)"`
	UserIdentityNums         int64  `json:"user_identity_nums" label:"用户数量"`
}
