package hdl

import (
	"applet/app/db"
	"applet/app/e"
	"github.com/gin-gonic/gin"
)

func BannerList(c *gin.Context) {
	bannerDb := db.BannerDb{}
	bannerDb.Set()
	banners, err := bannerDb.FindBanner(0, 0)
	if err != nil {
		e.OutErr(c, e.ERR_DB_ORM, err.Error())
		return
	}
	e.OutSuc(c, map[string]interface{}{
		"list": banners,
	}, nil)
	return
}
