package model

type SelfSupportForUserConsumeLimit struct {
	Id                       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	EnterpriseId             int    `json:"enterprise_id" xorm:"not null default 0 comment('单位id') INT(11)"`
	UserIdentityId           int    `json:"user_identity_id" xorm:"not null default 0 comment('用户身份id') INT(11)"`
	DailyConsumeLimit        string `json:"daily_consume_limit" xorm:"not null default '' comment('单日金额上限') CHAR(50)"`
	DailyConsumeLimitSwitch  string `json:"daily_consume_limit_switch" xorm:"not null default '' comment('单日金额上限 功能开关') CHAR(50)"`
	SingleConsumeLimit       string `json:"single_consume_limit" xorm:"not null default '' comment('单笔金额上限') CHAR(50)"`
	SingleConsumeLimitSwitch string `json:"single_consume_limit_switch" xorm:"not null default '' comment('单日金额上限 功能开关') CHAR(50)"`
	DailyConsumeNumber       string `json:"daily_consume_number" xorm:"not null default '' comment('单日笔数上限') CHAR(50)"`
	DailyConsumeNumberSwitch string `json:"daily_consume_number_switch" xorm:"not null default '' comment('单日笔数上限 功能开关') CHAR(50)"`
	CreateAt                 string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                 string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
