package enum

type CentralKitchenForSchoolPackageOrdState int32

const (
	CentralKitchenForSchoolPackageOrdStateForWait    = 0
	CentralKitchenForSchoolPackageOrdStateForSuccess = 1
	CentralKitchenForSchoolPackageOrdStateForFail    = 2
)

func (gt CentralKitchenForSchoolPackageOrdState) String() string {
	switch gt {
	case CentralKitchenForSchoolPackageOrdStateForWait:
		return "待支付"
	case CentralKitchenForSchoolPackageOrdStateForSuccess:
		return "支付成功"
	case CentralKitchenForSchoolPackageOrdStateForFail:
		return "支付失败"
	default:
		return "未知"
	}
}

type CentralKitchenForSchoolPackageOrdOrdState int32

const (
	CentralKitchenForSchoolPackageOrdOrdStateForWait         = 0
	CentralKitchenForSchoolPackageOrdOrdStateForSuccess      = 1
	CentralKitchenForSchoolPackageOrdOrdStateForRefunding    = 2
	CentralKitchenForSchoolPackageOrdOrdStateForPartRefunded = 3
	CentralKitchenForSchoolPackageOrdOrdStateForRefunded     = 4
	CentralKitchenForSchoolPackageOrdOrdStateForComplete     = 5
)

func (gt CentralKitchenForSchoolPackageOrdOrdState) String() string {
	switch gt {
	case CentralKitchenForSchoolPackageOrdOrdStateForWait:
		return "待支付"
	case CentralKitchenForSchoolPackageOrdOrdStateForSuccess:
		return "预约成功"
	case CentralKitchenForSchoolPackageOrdOrdStateForRefunding:
		return "退款中"
	case CentralKitchenForSchoolPackageOrdOrdStateForPartRefunded:
		return "部分退款"
	case CentralKitchenForSchoolPackageOrdOrdStateForRefunded:
		return "已退款"
	case CentralKitchenForSchoolPackageOrdOrdStateForComplete:
		return "已完成"
	default:
		return "未知"
	}
}
